Problème gpg qui m'empêche d'utiliser sudo apt update


#1

voici le problème qui se pose a moi:

gpasd'id

je ne peux pas vous mettre un copier coller du terminal car il contien plus de 2 lien et que je suis un nouvelle utilisateur


#2

Salut

Visiblement, tu avais ajouté un dépôt openSUSE pour OBS-Studio. C’est lui qui a un souci de clé.

Personnellement, j’évite autant que possible d’ajouter des dépôts tiers comme celui-ci, surtout quand le logiciel voulu est dispo dans les dépôts de ta distribution (même si ce n’est pas forcément la toute dernière version, tu as bien plus l’assurance que ça va tourner correctement puisque c’est testé pour ta distro): https://packages.debian.org/fr/stretch/obs-studio
Du coup, je te suggérerais bien de retirer ce dépôt et d’utiliser la version des dépôts debian stretch.

Après, si tu tiens, vraiment à utiliser ce dépôt tiers, re-télécharge la clé du dépôt et repasse-la à apt :

wget -qO - https://download.opensuse.org/repositories/home:/strycore/Debian_9.0/Release.key | apt-key add -

Normalement, ça devrait suffire à débloquer ta situation.


#3

Je plussoie la remarque de @choops:
il faut éviter absolument d’utiliser d’autres dépots que les dépots destinés à ta distrib précisément.
C’est d’autant plus vrai que le logiciel que tu cherches à installer existe dans les dépots officiels, alors pourquoi aller le chercher sur suse ?

Sinon, le problème de clé est un soucis classique qui t’arrivera surement de nouveau un jour, c’est quand le dépot que tu ajoutes est signé mais que tu n’as pas la clé de vérification publique des développeurs dans ton trousseau des clés et il faut juste importer cette clé.
La prochaine fois que ça t’arrive, fais une recherche sur le mot “NO_PUBKEY”: il y a des tonnes d’articles qui indiquent comment corriger en important la signature des développeurs.


#4

Le pire c’est que si on va sur le site tout est indiquer :smiley:

https://software.opensuse.org/download.html?project=home%3Astrycore&package=lutris


#5

merci je d’ébute avec debian et j’avais installer obs en copiant des ligne des ligne de code dans le terminal , ça m’apprendras. je vais enlever le dépot openSUSE et réinstaller OBS avec un simple apt install.